edu.sc.seis.sod

## Class EventNetworkPair

- java.lang.Object
- - edu.sc.seis.sod.WaveformWorkUnit
  - - edu.sc.seis.sod.AbstractEventPair
    - - edu.sc.seis.sod.EventNetworkPair

- All Implemented Interfaces:
    java.lang.Runnable

      public class EventNetworkPair
      extends AbstractEventPair

- - ### Field Summary

    - ### Fields inherited from class edu.sc.seis.sod.WaveformWorkUnit

      `dbid, failLogger, lastQuery, numRetries`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `EventNetworkPair()` for hibernate
    `` | `EventNetworkPair(StatefulEvent event, edu.iris.Fissures.network.NetworkAttrImpl net)`
    `` | `EventNetworkPair(StatefulEvent event, edu.iris.Fissures.network.NetworkAttrImpl net, Status status)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object o)`
    `edu.iris.Fissures.network.NetworkAttrImpl` | `getNetwork()`
    `int` | `getNetworkDbId()`
    `int` | `hashCode()`
    `void` | `run()`
    `protected void` | `setNetwork(edu.iris.Fissures.network.NetworkAttrImpl attr)` for use by hibernate
    `java.lang.String` | `toString()`
    `void` | `update(Status status)` sets the status on this event network pair to be status and notifies its parent

    - ### Methods inherited from class edu.sc.seis.sod.AbstractEventPair

      `getEvent, getEventDbId, getStatus, setEvent, setStatus, update`

    - ### Methods inherited from class edu.sc.seis.sod.WaveformWorkUnit

      `getDbid, getLastQuery, getNumRetries, setDbid, setLastQuery, setNumRetries, updateRetries`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EventNetworkPair

          protected EventNetworkPair()

      for hibernate

    - #### EventNetworkPair

          public EventNetworkPair(StatefulEvent event,
                                  edu.iris.Fissures.network.NetworkAttrImpl net)

    - #### EventNetworkPair

          public EventNetworkPair(StatefulEvent event,
                                  edu.iris.Fissures.network.NetworkAttrImpl net,
                                  Status status)

  - ### Method Detail

    - #### run

          public void run()

    - #### update

          public void update(Status status)

      sets the status on this event network pair to be status and notifies its parent
      Specified by:
        `update` in class `AbstractEventPair`

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `WaveformWorkUnit`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `WaveformWorkUnit`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getNetworkDbId

          public int getNetworkDbId()

    - #### getNetwork

          public edu.iris.Fissures.network.NetworkAttrImpl getNetwork()

    - #### setNetwork

          protected void setNetwork(edu.iris.Fissures.network.NetworkAttrImpl attr)

      for use by hibernate